@echo off
rem InstallMasterService.bat
rem
rem Installs SmedgeMaster as a Service on the local machine
rem
rem Smedge 3
rem Copyright (c) 2004 - 2017 Uberware. All Rights Reserved



rem NOTE: This script is meant to be run by a system administrator. 
rem NOTE: It does not check that the current running use has administrative privileges.
rem NOTE: Use by a non-administrator will lead to failure and inconsistent behavior


rem Initialize the variables for the installation

set _COMPONENT=SmedgeMaster
set _DISPLAY=Smedge Master
set _MESSAGE=Enables this machine to manage the Smedge network even with no user logged into the console


rem call the common service installer script

call "%~dp0InstallService.bat" %*


rem clean up

set _COMPONENT=
set _DISPLAY=
set _MESSAGE=
